curl "https://production.methodfi.com/entities/ent_TYHMaRJUUeJ7U/subscriptions/sub_6f7XtMLymQx3f" \
-H "Method-Version: 2024-04-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
"id": "sub_6f7XtMLymQx3f",
"name": "credit_score",
"status": "active",
"payload": null,
"latest_request_id": null,
"created_at": "2026-04-09T17:02:47.910Z",
"updated_at": "2026-04-09T17:02:47.910Z"
}
Subscriptions
Retrieve a Subscription
GET
/
entities
/
{ent_id}
/
subscriptions
/
{sub_id}
curl "https://production.methodfi.com/entities/ent_TYHMaRJUUeJ7U/subscriptions/sub_6f7XtMLymQx3f" \
-H "Method-Version: 2024-04-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
"id": "sub_6f7XtMLymQx3f",
"name": "credit_score",
"status": "active",
"payload": null,
"latest_request_id": null,
"created_at": "2026-04-09T17:02:47.910Z",
"updated_at": "2026-04-09T17:02:47.910Z"
}
Retrieves a Subscription record for an Entity.
Path Parameters
Returns
Returns a Subscription object.curl "https://production.methodfi.com/entities/ent_TYHMaRJUUeJ7U/subscriptions/sub_6f7XtMLymQx3f" \
-H "Method-Version: 2024-04-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
"id": "sub_6f7XtMLymQx3f",
"name": "credit_score",
"status": "active",
"payload": null,
"latest_request_id": null,
"created_at": "2026-04-09T17:02:47.910Z",
"updated_at": "2026-04-09T17:02:47.910Z"
}
⌘I